Kerbal Space Program - Bug #896

Staging and Focusing Issues - Engine Stages Not Firing in Designed Order
07/09/2013 06:42 PM - King_Killa_C

Status: Not a Bug Start date: 07/09/2013
Severity: Urgent % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 0.20.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

I've built a couple dozen ships at this time, so I'm familiar with how to build a craft.

I haven't been on the game since a recent update (been 3 weeks to a month...ish). | Built a new ship and have been wanting to give
it a test run. With all of the staging properly set, and in the correct orders, | went to the launch pad to give it an initial test run. The
Stage 1 engines made a whooshing, gas/air sound, but no flame, no lift off. |initiated Stage 2, and separation occurs and the stage
2 engines activate.

Obviously it was a bug, so | restarted the game. Using the same saved ship and having made no adjustments, | gave it another test
(screen shots showing the staging and launch attempt are attached). This time, Stage 1 was skipped entirely, and the game
immediately skipped to Stage 2, where it separates from Stage 1 and the Stage 2 engines activate.

Additionally, | made a test rocket that upon separation of Stage 1, Stage 2 engages and the craft rockets off. However, I'm stuck with
the game focused on the depleted Stage 1, unable to control or focus on Stage 2 or the craft itself. | am stuck, helplessly watching
Jebediah Kerman and crew tumble to their death.

This sucks, and needs immediate resolution. The game is currently unplayable.

KSP Build: v0.20.2.186 (Steam)

OS: Win8 x64 (Pro)

GPU: 2x GeForce GTX 560 Ti 2048MB
GPU Driver: 314.22

CPU: i7 3770k

RAM: 16GB

History

#1 - 07/09/2013 06:45 PM - King_Killa_C

You'll notice when looking at the craft in the Vehicle Assembly Building, that all stages are accounted for. However, look at screen shot
2013-07-09_00005.jpg (Launch Prep).

Notice something missing? All of Stage 1?

#2 - 07/09/2013 09:20 PM - King_Killa_C

So | reloaded the craft and created a new stage. | moved what "should" be Stage 1 into the "new" Stage 1. | saved the craft then went to the launch
pad.

When | attempted launch, | could see all of my stages, as they should be. However, with trust at max., | attempted to launch with Stage 1. | got the
same whooshing gas/air sound as previously described, but the engines themselves never fired....

UGH!!!

#3 - 07/09/2013 11:30 PM - rditto48801

Are you using a clean install of KSP, with no mods at all? | ask because | noticed stage 0 has two groups of 4 items lacking icons. What are those
icons for?

Can you possibly detail how others can recreate these issues? If not, can you provide the craft files for the two craft affected by the staging and
focusing issues?
The thing of a stage not triggering after reordering the staging, sounds vaguely familiar to me. | think | have encountered that before (in KSP 0.19.x),
but under different circumstances, mainly after undocking and switching to a craft, but the basics are the same since it also involved having to redo
staging.

| think one workaround is to place an empty stage and triggering it first, then triggering the stage that normally refuses to trigger right after staging was
redone 'in flight'.

#4 - 07/10/2013 12:23 PM - Nachtwind

Cant confirm here directly.. but i have seen this happening in previous versions when connections between stages broke... do you have the end flight
result? Can you upload the craft file?

#5 - 07/10/2013 07:22 PM - King_Killa_C
- File KKC Space Lander Rocket.craft added
- File 2013-07-10_190134.7z added

| tried to take the ship out to get the end flight, but after Stage 1 failed with the engine "whoosh", Stage 2 separated and crashed. Mid-crash
explosion, the game hard freezes on-screen, and there was a crash message in the background.

Attached is the craft file and zipped game crash report.
#6 - 07/10/2013 08:26 PM - King_Killa_C

- File 2013-07-10_00006.jpg added

rditto48801 wrote:

Are you using a clean install of KSP, with no mods at all? | ask because | noticed stage 0 has two groups of 4 items lacking icons. What are
those icons for?

Can you possibly detail how others can recreate these issues? If not, can you provide the craft files for the two craft affected by the staging and
focusing issues?

The thing of a stage not triggering after reordering the staging, sounds vaguely familiar to me. | think | have encountered that before (in KSP
0.19.x), but under different circumstances, mainly after undocking and switching to a craft, but the basics are the same since it also involved
having to redo staging.

| think one workaround is to place an empty stage and triggering it first, then triggering the stage that normally refuses to trigger right after
staging was redone 'in flight'.

Plain, clean installation (no mods at all). Those icons you see listed at Stage 0 are mere Structural Pylons being used to stiffen up the nose piece and
Mk2 Lander-can.

#7 - 07/10/2013 08:27 PM - doctorzuber

| hate to do this to you M8, but you're wrong. This is not a bug.

The decoupler between your third and fourth stages is being crushed under the standing weight of the stages above. The rocket appears whole and
unchanged, but the entire bottom stage is actually detached and non functional. This can be fixed by adding some struts. | suspected this immediately
simply by looking at your first pic in the VAB. It looked too heavy. Loading your craft file quickly confirmed this.

This is not a bug. Learn to play m8.

#8 - 07/14/2013 06:57 PM - Adie123

- Status changed from New to Resolved

- % Done changed from 0 to 100

doctorzuber is correct. Decoupler is being crushed due to too much weight above it and stage one is being detached almost immediatly.

Changing this to resolved.

#9 - 07/15/2013 10:54 AM - Ted

- Status changed from Resolved to Not a Bug

Files

2013-07-09_00001.jpg 289 KB 07/09/2013 King_Killa_C
2013-07-09_00002.jpg 287 KB 07/09/2013 King_Killa_C
2013-07-09_00003.jpg 288 KB 07/09/2013 King_Killa_C
